AllegroGL: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - v -

- ValidateProgram : AGL_EXT
- ValidateProgramARB : AGL_EXT
- VariantArrayObjectATI : AGL_EXT
- VariantbvEXT : AGL_EXT
- VariantdvEXT : AGL_EXT
- VariantfvEXT : AGL_EXT
- VariantivEXT : AGL_EXT
- VariantPointerEXT : AGL_EXT
- VariantsvEXT : AGL_EXT
- VariantubvEXT : AGL_EXT
- VariantuivEXT : AGL_EXT
- VariantusvEXT : AGL_EXT
- version : allegro_gl_info
- Vertex2bOES : AGL_EXT
- Vertex2bvOES : AGL_EXT
- Vertex2hNV : AGL_EXT
- Vertex2hvNV : AGL_EXT
- Vertex2xOES : AGL_EXT
- Vertex2xvOES : AGL_EXT
- Vertex3bOES : AGL_EXT
- Vertex3bvOES : AGL_EXT
- Vertex3hNV : AGL_EXT
- Vertex3hvNV : AGL_EXT
- Vertex3xOES : AGL_EXT
- Vertex3xvOES : AGL_EXT
- Vertex4bOES : AGL_EXT
- Vertex4bvOES : AGL_EXT
- Vertex4hNV : AGL_EXT
- Vertex4hvNV : AGL_EXT
- Vertex4xOES : AGL_EXT
- Vertex4xvOES : AGL_EXT
- VertexArrayParameteriAPPLE : AGL_EXT
- VertexArrayRangeAPPLE : AGL_EXT
- VertexArrayRangeNV : AGL_EXT
- VertexAttrib1d : AGL_EXT
- VertexAttrib1dARB : AGL_EXT
- VertexAttrib1dNV : AGL_EXT
- VertexAttrib1dv : AGL_EXT
- VertexAttrib1dvARB : AGL_EXT
- VertexAttrib1dvNV : AGL_EXT
- VertexAttrib1f : AGL_EXT
- VertexAttrib1fARB : AGL_EXT
- VertexAttrib1fNV : AGL_EXT
- VertexAttrib1fv : AGL_EXT
- VertexAttrib1fvARB : AGL_EXT
- VertexAttrib1fvNV : AGL_EXT
- VertexAttrib1hNV : AGL_EXT
- VertexAttrib1hvNV : AGL_EXT
- VertexAttrib1s : AGL_EXT
- VertexAttrib1sARB : AGL_EXT
- VertexAttrib1sNV : AGL_EXT
- VertexAttrib1sv : AGL_EXT
- VertexAttrib1svARB : AGL_EXT
- VertexAttrib1svNV : AGL_EXT
- VertexAttrib2d : AGL_EXT
- VertexAttrib2dARB : AGL_EXT
- VertexAttrib2dNV : AGL_EXT
- VertexAttrib2dv : AGL_EXT
- VertexAttrib2dvARB : AGL_EXT
- VertexAttrib2dvNV : AGL_EXT
- VertexAttrib2f : AGL_EXT
- VertexAttrib2fARB : AGL_EXT
- VertexAttrib2fNV : AGL_EXT
- VertexAttrib2fv : AGL_EXT
- VertexAttrib2fvARB : AGL_EXT
- VertexAttrib2fvNV : AGL_EXT
- VertexAttrib2hNV : AGL_EXT
- VertexAttrib2hvNV : AGL_EXT
- VertexAttrib2s : AGL_EXT
- VertexAttrib2sARB : AGL_EXT
- VertexAttrib2sNV : AGL_EXT
- VertexAttrib2sv : AGL_EXT
- VertexAttrib2svARB : AGL_EXT
- VertexAttrib2svNV : AGL_EXT
- VertexAttrib3d : AGL_EXT
- VertexAttrib3dARB : AGL_EXT
- VertexAttrib3dNV : AGL_EXT
- VertexAttrib3dv : AGL_EXT
- VertexAttrib3dvARB : AGL_EXT
- VertexAttrib3dvNV : AGL_EXT
- VertexAttrib3f : AGL_EXT
- VertexAttrib3fARB : AGL_EXT
- VertexAttrib3fNV : AGL_EXT
- VertexAttrib3fv : AGL_EXT
- VertexAttrib3fvARB : AGL_EXT
- VertexAttrib3fvNV : AGL_EXT
- VertexAttrib3hNV : AGL_EXT
- VertexAttrib3hvNV : AGL_EXT
- VertexAttrib3s : AGL_EXT
- VertexAttrib3sARB : AGL_EXT
- VertexAttrib3sNV : AGL_EXT
- VertexAttrib3sv : AGL_EXT
- VertexAttrib3svARB : AGL_EXT
- VertexAttrib3svNV : AGL_EXT
- VertexAttrib4bv : AGL_EXT
- VertexAttrib4bvARB : AGL_EXT
- VertexAttrib4d : AGL_EXT
- VertexAttrib4dARB : AGL_EXT
- VertexAttrib4dNV : AGL_EXT
- VertexAttrib4dv : AGL_EXT
- VertexAttrib4dvARB : AGL_EXT
- VertexAttrib4dvNV : AGL_EXT
- VertexAttrib4f : AGL_EXT
- VertexAttrib4fARB : AGL_EXT
- VertexAttrib4fNV : AGL_EXT
- VertexAttrib4fv : AGL_EXT
- VertexAttrib4fvARB : AGL_EXT
- VertexAttrib4fvNV : AGL_EXT
- VertexAttrib4hNV : AGL_EXT
- VertexAttrib4hvNV : AGL_EXT
- VertexAttrib4iv : AGL_EXT
- VertexAttrib4ivARB : AGL_EXT
- VertexAttrib4Nbv : AGL_EXT
- VertexAttrib4NbvARB : AGL_EXT
- VertexAttrib4Niv : AGL_EXT
- VertexAttrib4NivARB : AGL_EXT
- VertexAttrib4Nsv : AGL_EXT
- VertexAttrib4NsvARB : AGL_EXT
- VertexAttrib4Nub : AGL_EXT
- VertexAttrib4NubARB : AGL_EXT
- VertexAttrib4Nubv : AGL_EXT
- VertexAttrib4NubvARB : AGL_EXT
- VertexAttrib4Nuiv : AGL_EXT
- VertexAttrib4NuivARB : AGL_EXT
- VertexAttrib4Nusv : AGL_EXT
- VertexAttrib4NusvARB : AGL_EXT
- VertexAttrib4s : AGL_EXT
- VertexAttrib4sARB : AGL_EXT
- VertexAttrib4sNV : AGL_EXT
- VertexAttrib4sv : AGL_EXT
- VertexAttrib4svARB : AGL_EXT
- VertexAttrib4svNV : AGL_EXT
- VertexAttrib4ubNV : AGL_EXT
- VertexAttrib4ubv : AGL_EXT
- VertexAttrib4ubvARB : AGL_EXT
- VertexAttrib4ubvNV : AGL_EXT
- VertexAttrib4uiv : AGL_EXT
- VertexAttrib4uivARB : AGL_EXT
- VertexAttrib4usv : AGL_EXT
- VertexAttrib4usvARB : AGL_EXT
- VertexAttribArrayObjectATI : AGL_EXT
- VertexAttribI1iEXT : AGL_EXT
- VertexAttribI1ivEXT : AGL_EXT
- VertexAttribI1uiEXT : AGL_EXT
- VertexAttribI1uivEXT : AGL_EXT
- VertexAttribI2iEXT : AGL_EXT
- VertexAttribI2ivEXT : AGL_EXT
- VertexAttribI2uiEXT : AGL_EXT
- VertexAttribI2uivEXT : AGL_EXT
- VertexAttribI3iEXT : AGL_EXT
- VertexAttribI3ivEXT : AGL_EXT
- VertexAttribI3uiEXT : AGL_EXT
- VertexAttribI3uivEXT : AGL_EXT
- VertexAttribI4bvEXT : AGL_EXT
- VertexAttribI4iEXT : AGL_EXT
- VertexAttribI4ivEXT : AGL_EXT
- VertexAttribI4svEXT : AGL_EXT
- VertexAttribI4ubvEXT : AGL_EXT
- VertexAttribI4uiEXT : AGL_EXT
- VertexAttribI4uivEXT : AGL_EXT
- VertexAttribI4usvEXT : AGL_EXT
- VertexAttribIPointerEXT : AGL_EXT
- VertexAttribPointer : AGL_EXT
- VertexAttribPointerARB : AGL_EXT
- VertexAttribPointerNV : AGL_EXT
- VertexAttribs1dvNV : AGL_EXT
- VertexAttribs1fvNV : AGL_EXT
- VertexAttribs1hvNV : AGL_EXT
- VertexAttribs1svNV : AGL_EXT
- VertexAttribs2dvNV : AGL_EXT
- VertexAttribs2fvNV : AGL_EXT
- VertexAttribs2hvNV : AGL_EXT
- VertexAttribs2svNV : AGL_EXT
- VertexAttribs3dvNV : AGL_EXT
- VertexAttribs3fvNV : AGL_EXT
- VertexAttribs3hvNV : AGL_EXT
- VertexAttribs3svNV : AGL_EXT
- VertexAttribs4dvNV : AGL_EXT
- VertexAttribs4fvNV : AGL_EXT
- VertexAttribs4hvNV : AGL_EXT
- VertexAttribs4svNV : AGL_EXT
- VertexAttribs4ubvNV : AGL_EXT
- VertexBlendARB : AGL_EXT
- VertexBlendEnvfATI : AGL_EXT
- VertexBlendEnviATI : AGL_EXT
- VertexPointerEXT : AGL_EXT
- VertexPointervINTEL : AGL_EXT
- VertexStream1dATI : AGL_EXT
- VertexStream1dvATI : AGL_EXT
- VertexStream1fATI : AGL_EXT
- VertexStream1fvATI : AGL_EXT
- VertexStream1iATI : AGL_EXT
- VertexStream1ivATI : AGL_EXT
- VertexStream1sATI : AGL_EXT
- VertexStream1svATI : AGL_EXT
- VertexStream2dATI : AGL_EXT
- VertexStream2dvATI : AGL_EXT
- VertexStream2fATI : AGL_EXT
- VertexStream2fvATI : AGL_EXT
- VertexStream2iATI : AGL_EXT
- VertexStream2ivATI : AGL_EXT
- VertexStream2sATI : AGL_EXT
- VertexStream2svATI : AGL_EXT
- VertexStream3dATI : AGL_EXT
- VertexStream3dvATI : AGL_EXT
- VertexStream3fATI : AGL_EXT
- VertexStream3fvATI : AGL_EXT
- VertexStream3iATI : AGL_EXT
- VertexStream3ivATI : AGL_EXT
- VertexStream3sATI : AGL_EXT
- VertexStream3svATI : AGL_EXT
- VertexStream4dATI : AGL_EXT
- VertexStream4dvATI : AGL_EXT
- VertexStream4fATI : AGL_EXT
- VertexStream4fvATI : AGL_EXT
- VertexStream4iATI : AGL_EXT
- VertexStream4ivATI : AGL_EXT
- VertexStream4sATI : AGL_EXT
- VertexStream4svATI : AGL_EXT
- VertexWeightfEXT : AGL_EXT
- VertexWeightfvEXT : AGL_EXT
- VertexWeighthNV : AGL_EXT
- VertexWeighthvNV : AGL_EXT
- VertexWeightPointerEXT : AGL_EXT
- vidmem_policy : allegro_gl_display_info
- visual : AMESA_DATA